/* variables */

:root {
    --accent: #CE0056;
    --light: #f8f8f8;
    --dark:#1B1E29;
    --peach: #EC7C54;
    --light-grey: #F3F3F3;
}

::-moz-selection { /* Code for Firefox */
    color: var(--light);
    background: var(--accent);
  }
  
  ::selection {
    color: var(--light);
    background: var(--accent);
  }

/* fonts */

body, h1, h2, #top #top-nav-main a {
    color :var(--dark);
}
a {
    color: var(--accent);
}
a:hover, a:focus {
    text-decoration: none;
    color: var(--peach);
}

#footer nav ul li a:focus {
    color: var(--dark);
    text-decoration: underline;
  }

 h2:not(.title)::after  {
    content: " ";
    display: inline-block;
    margin-bottom: .5rem;
    margin-left: 1em;
    height: 3px;
    width: calc(100% - 1em);
    background: hsla(335, 100%, 40%, 1);
    background: linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -moz-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -webkit-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr="#CE0056", endColorstr="#EC7C54", GradientType=1 );
  }

/* buttons */

.button.outline:focus {
    background: 0 0;
    color: var(--peach);
    border-color: var(--peach);
  }

  #top #top-nav-extra a:hover, #top #top-nav-extra a:focus {
    border: 1px solid var(--accent);
    color: var(--accent);
  }

  .pagination li:not(.prev, .next) a {
    border-color : var(--accent);
    color:var(--accent);
  }

/* nav */

#top #top-nav-main a:hover, #top #top-nav-main a:focus {
    -moz-transition: all linear 0.2s;
    transition: all linear 0.2s;
    color: var(--accent) !important;
    text-decoration: underline;
  }

#nav-toggle-brand .logo, #top-brand .logo {
    height: 40px;
    margin-bottom: -5px;
}

/* hero */

#top {
    margin-bottom: 0px;
    position: relative;
}
#top::after {
    content: " ";
    position: absolute;
    display: block;
    height: 24px;
    bottom: -12px;
    left: 0px;
    right: 0px;
    background: hsla(335, 100%, 40%, 1);
    background: linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -moz-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -webkit-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr="#CE0056", endColorstr="#EC7C54", GradientType=1 );
}

#hero:not(.index) p {
    color: var(--light);
}

#hero p::before {
    width: 200px;
    margin-left: -100px;
    background-color: var(--light);
    /*
    background: hsla(335, 100%, 40%, 1);
    background: linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -moz-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -webkit-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr="#CE0056", endColorstr="#EC7C54", GradientType=1 );
    */
}

#hero.index p:before {
    background: hsla(335, 100%, 40%, 1);
    background: linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -moz-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -webkit-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr="#CE0056", endColorstr="#EC7C54", GradientType=1 );
}
#hero span {
    color: var(--light);
}
.post-time {
    color:var(--light);
}
#hero.index h1 {
    color: var(--dark);
}

#footer {
    margin-top: 0px;
}

main {
    padding-bottom: 104px;
    /*
    border-left: 24px solid var(--accent);
    border-right: 24px solid var(--peach);
    */
    box-sizing: border-box;
}

#hero:not(.index) {
    padding-top:5em;
    padding-bottom: 40px;
    margin-bottom: 15px;
    background: hsla(335, 100%, 40%, 1);
    background: linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -moz-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    background: -webkit-linear-gradient(0deg, hsla(335, 100%, 40%, 1) 0%, hsla(16, 80%, 63%, 1) 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr="#CE0056", endColorstr="#EC7C54", GradientType=1 );
}

#hero h1 {
    color: var(--light);
}

#main {
    padding-left: 20px;
    padding-right: 20px;
}

/* nav */
#top #top-brand {
    margin-right: 1.5em;
}
#top #top-nav-main {
    padding-left: 1.5em;
}


#top #top-nav-main li {
    font-size: 16px;
    font-weight: 500;
    margin-right: 1.5em;
}
#top #top-nav-main li.active a {
    color: var(--accent);
    font-weight: bolder;
}
.drop {
    position: relative;
    line-height: 2em;
}

#top .drop:hover .sub-menu, #top .drop:focus .sub-menu {
    display: flex;
}

#top .sub-menu {
    display: none;
    color: var(--dark);
    position: absolute;
    top: 2em;
    z-index: 1000;
    background-color: var(--light);
    padding: .5em;
    left: -.5em;
    flex-direction: column;
    text-align: left;
    align-items: flex-start;
    width: max-content;
}

#top .sub-menu li {
    padding: .5em;
    line-height: 1.5em;
}

@media (max-width: 1024px) {
    .hide-md {
      display: none !important; } 
    #top .sub-menu {
        display: block;
        color: var(--dark);
        position: relative;
        top: auto;
        z-index: 1000;
        background-color: var(--light);
        padding: auto;
        left: auto;
        flex-direction: column;
        text-align: center;
        align-items: center;
        width: 100%;
    }
    #top .drop:hover .sub-menu, #top .drop:focus .sub-menu {
        display: block;
    }
    #top {
        display: block;
        height: auto;
        padding-bottom: 24px; }
        #top ul {
          display: block; }
        #top #top-brand {
          display: none; }
        #top #top-nav-main {
          padding: 0;
          border: none; }
        #top #top-nav-extra {
          margin: 0; }
        #top #top-nav-main li,
        #top #top-nav-extra li {
          text-align: center;
          width: auto;
          margin: 16px 0;
          padding: 0; }
}

@media (min-width: 1024px) {
.show-md {
    display: none !important; } }
/* content */

.services {
    padding-top: 3em;
}

.services h4 {
    color: var(--accent);
    text-align: center;
    padding-bottom: 3em;
}

.services img, .small-img {
    width: 100%;
    max-height: 120px;
    object-fit: contain;
}
.small-img {
    margin-top: 3em;
    margin-bottom: 1em;
    max-width:180px;
    margin-left: 2em;
}
.service-bloc {
    display:flex;
    margin-bottom: 2em;
}

/* sponsors */

#sponsors {
    display: flex;
}

h2#sponsors {
    display: block;
}

#sponsors>div {
    margin: .5em;
    text-align: center;
}

#sponsors>div img {
    height: 80px;
    object-fit: contain;
}

.sponsor-small {
    display: inline-block;
    margin: .5em;
}

.bloc-sponsors h3 {
    padding-top:1em;
    margin-top:1.5em;
    border-top: 4px solid var(--accent);
}

h3.platinum::before {
    content: "💎 ";
}
h3.gold::before {
    content: "🥇 ";
}
h3.silver::before {
    content: "🥈 ";
}
h3.bronze::before {
    content: "🥉 ";
}

h3.silver {
    color: var(--dark);
}

.sponsor-small.platinum img {
    height: 150px;
}
.sponsor-small.gold img {
    height: 110px;
}
.sponsor-small.silver img {
    height: 90px;
}
.sponsor-small.bronze img {
    height: 70px;
}

/* components */

#posts h2 {
    font-size: 1em;
}
#posts h2 a:hover, #posts h2 a:focus {
    color: var(--peach);
}

#components #posts {
    max-width: 100%;
}

/* */

div.sponsor {
    width: 310px;
    min-height: 175px;
    float: left;
    text-align: center;
    margin: 5px;
    border-style: solid;
    border-width: 1px;
    border-color: lightgray;
}

img.sponsor {
    max-width: 300px;
    max-height: 150px;
    margin: 5px;
}


.sidebar ul li {
    list-style-type: none;
}

.sidebar .title {
    font-size: 1em;
    line-height: 1.2em;
}
/* tableau */

.update ul {
    margin: 0px;
}
.update li {
    list-style-type: none;
}

tr:nth-child(even) {
    background-color: var(--light-grey);
}

#prices pre, #prices td, #prices th {
    padding: .4rem;
}

#prices {
    border-collapse:initial;
    border-spacing: 0;
    /*
    overflow: scroll;
    */
    display: block;
    width: 100%;
    font-size: .8em;
}

#prices tbody {
    display: block;
    /*
    width: 800px;
    */
}

#prices tr:first-child {
    border-bottom: 2px solid var(--accent) !important;
}

#prices td {
    padding: .5rem;
    text-align: center;
}

#prices tr {
    position: relative;
}

th:first-child, td:first-child {
    padding-left: .5rem;
    text-align: left !important;
}

#prices th, #prices td {
    border-right: 1px solid lightgray;
}

#prices .no::before, .no::before {
    content: "❌";
    margin-right: 10px;
}
#prices .yes::before, .yes::before {
    content: "✅";
    margin-right: 10px;
}

.php-pricing td {
    padding: .5em;
    border: 1px solid rgba(0,0,0,.1);;
}

.php-pricing.php-versions td {
    text-align: center;
} 
.php-versions td:first-child {
    text-align: center !important;
}

.php-pricing td.no-border {
    border:none;
    background-color: #ffffff;
}

.php-pricing .red {
    color: #c91313;
    font-weight: bold;
}
.php-pricing .green {
    color: #33972f;
    font-weight: bold;
}

.php-versions .single {
    background-color: #ecbc54;
}
.php-versions .multiple {
    background-color: #11770e;
    color: var(--light);
    font-weight: bold;
} 
.php-versions .available {
    background-color: #bd64b5;
} 
.php-versions .not-available {
    background-color: #cecece;
}
.tr-title td {
    background-color: var(--light);
    border-top: 2px solid var(--accent);
    border-spacing: 1em 0em;
    font-style: italic;
    text-align: center !important;
}
.tr-title strong {
    font-size: 1.2em;
    font-style: normal;
}

/* breadcrumbs */
.breadcrumb {
    margin: auto;
    margin-bottom: 2em;
    padding-left: 40px;
    padding-right: 40px;
    width: 100%;
    max-width: 1128px;
}
.breadcrumb li {
    display: inline;
}
.breadcrumb li::before {
    content:" > ";
    color: var(--accent);
}
.breadcrumb li:first-child:before {
    content:"";
    color: var(--accent);
}
.breadcrumb li a {
    color: var(--accent);
    text-decoration: none;
}
.breadcrumb li a:hover, .breadcrumb li a:focus, .breadcrumb li a:active {
    color: var(--accent);
    text-decoration: underline;
}

/* page paypal */

input[type=image] {
    object-fit: contain;
    margin-top: 1rem;
    background: none;
    border: none;
}
select {
    appearance:auto;
    -webkit-appearance: auto;
}
td:last-child, th:last-child {
    padding-right:1rem;
}

@media (max-width: 768px) {
    #hero {
        padding-top: 40px;
        margin-top: 0px;
    }
}
@media (max-width: 1200px) {
    #prices {
        overflow: scroll;
    }
    
    #prices tbody {
        width: 800px;
    }
}